Bug 183950 - audio/audacity build fails with TWOLAME=off [PATCH]
audio/audacity build fails with TWOLAME=off [PATCH]
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 09:30 UTC by Horia Racoviceanu
Modified: 2013-12-12 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (680 bytes, patch)
2013-11-14 09:30 UTC, Horia Racoviceanu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Horia Racoviceanu 2013-11-14 09:30:01 UTC
audacity has a mandatory depend on libsndfile, which is implicitly handled by option TWOLAME (audio/twolame->audio/libsndfile). With TWOLAME=off, libsndfile doesn't get installed and build fails.

checking for SNDFILE... no
configure: Libsndfile libraries are NOT available as system libraries
checking for ./lib-src/libsndfile/src/sndfile.h.in... no
configure: libsndfile libraries are NOT available in this source tree
configure: disabling LIBSNDFILE
configure: error: Audacity requires libsndfile to be enabled

the LIB_DEPENDS on libsndfile seems to have been accidentally removed by an automatic option-ifier script in r311611.

Fix: - Add libsndfile.so to LIB_DEPENDS
- Remove SNDFILE_LIB_DEPENDS
- Remove SNDFILE_CONFIGURE_WITH

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-11-14 09:30:09 UTC
Maintainer of audio/audacity,

Please note that PR ports/183950 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183950

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-11-14 09:30:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Pawel Pekala freebsd_committer 2013-12-08 20:37:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter freebsd_committer 2013-12-12 19:30:51 UTC
Author: pawel
Date: Thu Dec 12 19:30:43 2013
New Revision: 336285
URL: http://svnweb.freebsd.org/changeset/ports/336285

Log:
  Depend on audio/libsndfile, package links to it when available on
  system and at least TWOLAME option needs it to configure properly.
  
  PR:		ports/183950
  Submitted by:	Horia Racoviceanu <horia@racoviceanu.com>
  Approved by:	maintainer timeout

Modified:
  head/audio/audacity/Makefile

Modified: head/audio/audacity/Makefile
==============================================================================
--- head/audio/audacity/Makefile	Thu Dec 12 19:15:20 2013	(r336284)
+++ head/audio/audacity/Makefile	Thu Dec 12 19:30:43 2013	(r336285)
@@ -3,6 +3,7 @@
 
 PORTNAME=	audacity
 PORTVERSION=	2.0.5
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	GOOGLE_CODE \
 		SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}
@@ -13,6 +14,8 @@ COMMENT=	GUI editor for digital audio wa
 
 LICENSE=	GPLv2
 
+LIB_DEPENDS=	libsndfile.so:${PORTSDIR}/audio/libsndfile
+
 WRKSRC=		${WRKDIR}/${PORTNAME}-src-${PORTVERSION}
 
 USE_AUTOTOOLS=	aclocal autoconf
@@ -66,9 +69,6 @@ CONFIGURE_ARGS+=	--disable-sse
 
 DEBUG_CONFIGURE_WITH=	debug
 
-SNDFILE_CONFIGURE_WITH=	libsndfile
-SNDFILE_LIB_DEPENDS=	libsndfile.so:${PORTSDIR}/audio/libsndfile
-
 FFMPEG_CONFIGURE_WITH=	ffmpeg
 FFMPEG_RUN_DEPENDS=	ffmpeg0:${PORTSDIR}/multimedia/ffmpeg0
 FFMPEG_BUILD_DEPENDS=	ffmpeg0>=0:${PORTSDIR}/multimedia/ffmpeg0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-12-12 19:31:11 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!